import { EventEmitter, OnChanges, OnInit, SimpleChanges, OnDestroy } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { LoadingState } from './models/loading-state';
import 'rxjs/add/operator/distinctUntilChanged';
import { Subscription } from 'rxjs/Subscription';
export declare class SwsLoadingComponent extends LoadingState implements OnInit, OnChanges, OnDestroy {
    dataObservable: Observable<any> | Observable<Array<any>> | Observable<[Array<any>, number]>;
    textNotFound: string;
    textError: string;
    download: boolean;
    isTable: boolean;
    dataOut: EventEmitter<any>;
    data: any;
    oldObs: Observable<any>;
    downloadChange: boolean;
    subscription: Subscription;
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    loadData(): void;
    completeLoad(data: any): void;
    errorLoad(data: any, error?: any): void;
    checkTypeData(data: any): any;
    ngOnDestroy(): void;
}
